/**
 * Title :        XLogo
 * Description :  XLogo is an interpreter for the Logo 
 * 						programming language
 * @author Loïc Le Coq
 */
package xlogo;

import java.awt.Color;
import java.awt.Font;
import java.util.Stack;


public class Config {
	static final String version="0.9.23e";
	public static int quality=0;
	public static final int QUALITY_NORMAL=0; // 0 normal
	public static final int QUALITY_HIGH=1; // 1 vectoriel
	public static final int QUALITY_LOW=2; // 2 basse 
	// Integer that represents the choosen language
	public static final int LANGUAGE_FRENCH=0;
	public static final int LANGUAGE_ENGLISH=1;
	public static final int LANGUAGE_ARABIC=2;
	public static final int LANGUAGE_SPANISH=3;
	public static final int LANGUAGE_PORTUGAL=4;
	public static final int LANGUAGE_ESPERANTO=5;
	public static final int LANGUAGE_GERMAN=6;
	public static final int LANGUAGE_DUTCH=7;
	public static int langage=0;  
	
	// For the looknfeel of the appplication
	public static int looknfeel=0;
	public static final int LOOKNFEEL_NATIVE=0;
	public static final int LOOKNFEEL_JAVA=1;
	public static final int LOOKNFEEL_MOTIF=2;
	
	public static int imageWidth=1000;
	public static int imageHeight=1000;
	public static int memoire=64; //Mémoire max réelle attribuée à la JVM
								  // Real Max Value for memory allocated to the JVM
	public static int tmp_memoire=64; // Correspond à la valeur dans l'onglet préférences. Sera écrit en fin d'application.
									// Value for the memory in Prefs tab. Will be written when application will be closed
	public static int activeTurtle=1; // Numéro de la tortue qui dessine
										// id for the active turtle
	public static int maxPenWidth=-1;  //epaisseur maximum autorisée pour le crayon
										// Maximum pen width
	public static boolean eraseImage = false; //effacer le dessin en quittant l'éditeur
												// erase the image when we leave the editor?
	public static int maxTurtles  = 16; // Nombre maximum de tortues
									// Max value for the number of turtles
	// default screencolor
	public static Color screencolor=Color.WHITE;
	// default pencolor
	public static Color pencolor=Color.BLACK;
	
	public static final int PEN_SHAPE_SQUARE=0;
	public static final int PEN_SHAPE_OVAL=1;
	public static int penShape = 0 ; // 0 pour carré 1 pour rond
	public static int turtleSpeed=0;		// Représente la vitesse de la tortue 0 rapide 100 lent
									// 0--> speed 100 --> slow 
		
  public static String a_executer="";
  public static String defaultFolder=System.getProperty("user.home");
  public static Stack path=new Stack(); // Fichiers de démarrage

  // For syntax Highlighting
  public static int coloration_primitive=new Color(0,128,0).getRGB();
  public static int style_primitive=Font.PLAIN;
  public static int coloration_operande=Color.BLUE.getRGB();
  public static int style_operande=Font.PLAIN;
  public static int coloration_commentaire=Color.GRAY.getRGB();
  public static int style_commentaire=Font.PLAIN;
  public static int coloration_parenthese=Color.RED.getRGB();
  public static int style_parenthese=Font.BOLD;
  public static boolean COLOR_ENABLED=true;
  // long representing the hour of XLogo starting
  public static long heure_demarrage; //heure a laquelle on a lance xlogo
  // Interface font
  public static Font police=new Font("dialog",Font.PLAIN,12); // Police de l'interface et de l'éditeur
	Config(){
		
	}

}
